Subject: bug#25377: No INSTALL in git sources

From: Assaf Gordon <[email-masked]>
Date: Fri, 6 Jan 2017 18:08:03 -0500

tag 25377 notabug
thanks

Hello,

On 01/06/2017 08:24 AM, jean-christophe manciot wrote:
> sed sources from git://git.sv.gnu.org/sed
> 
> I could not find any autogen.sh nor configure.
[...]
> How are we supposed to build configure?

When building from git, the './bootstrap' script should be used
(it is similar to but more elaborate than just 'autogen.sh' or
'autoreconf -if').
Running 'bootstrap' will also create the INSTALL file.

This is explained in README-hacking file (since building directly from
git is considered more advanced, e.g. for 'hackers').

I do notice that the plain README file does refer to the non-existing
INSTALL file (which does exist if built from tarball).

I'll add a small patch to improve it (leaving this bug open until I do).

regards,
 - assaf